Bug 599329 - Add support for WebM
Add support for WebM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 02:49 EDT by Gianluca Sforna
Modified: 2010-06-07 18:16 EDT (History)
6 users (show)

See Also:
Fixed In Version: webkitgtk-1.2.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 18:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Sforna 2010-06-03 02:49:18 EDT
After the new gstreamer packages with WebM support landed in Fedora 12 (in updates-testing still), it seems we miss a matching webkitgtk package to add out of the box support to gstreamer based browsers.

I tried rebuilding 1.2 from F13 and then playback works, however Benjamin Otte[1] suggested it's probably enough to pick the lastest 1.1.x

[1]http://blogs.gnome.org/otte/2010/05/31/youtube-out-of-the-box/
Comment 1 Rahul Sundaram 2010-06-03 03:10:36 EDT
I will take a look at pushing an update now.
Comment 2 Rahul Sundaram 2010-06-03 04:56:49 EDT
I have verified with a local mock build that there is no soname change.  It should be safe to commit and build for F-12 but I would like to get some more testing.  Here is a scratch build 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2226772

Sample video to test with Epiphany, Midori or any browser using Gstreamer

http://www.permadi.com/blog/2010/05/sample-webm-video-2/
Comment 3 Gianluca Sforna 2010-06-03 05:30:46 EDT
that's the same version I rebuilt locally with mock and using happily ever since, if you think I'd need to test it anyway I could replace mine with the scratch build.
Comment 4 Rahul Sundaram 2010-06-03 05:33:50 EDT
If you have already tested a local build, that would serve the purpose just fine. I am just making it available for more people to test.
Comment 5 Martin Sourada 2010-06-03 06:31:00 EDT
Working here as well. Reopened about 30 tabs in midori without fault. WebM works on the test page, as well as on youtube.
Comment 6 Rahul Sundaram 2010-06-03 07:58:25 EDT
For any other testers, note that you need this gstreamer update as well

https://admin.fedoraproject.org/updates/gstreamer-plugins-good-0.10.23-1.fc12,gstreamer-plugins-bad-free-0.10.19-1.fc12
Comment 7 Fedora Update System 2010-06-03 11:09:43 EDT
webkitgtk-1.2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/webkitgtk-1.2.0-1.fc12
Comment 8 Fedora Update System 2010-06-04 14:51:39 EDT
webkitgtk-1.2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update webkitgtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/webkitgtk-1.2.0-1.fc12
Comment 9 Fedora Update System 2010-06-07 18:16:33 EDT
webkitgtk-1.2.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.